// DlgInReport.cpp : implementation file
//

#include "stdafx.h"
#include "CheckTr.h"
#include "DlgInReport.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgInReport dialog


CDlgInReport::CDlgInReport(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgInReport::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgInReport)
	//}}AFX_DATA_INIT
}


void CDlgInReport::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgInReport)
	DDX_Control(pDX, IDC_LIST1, m_InList);
	//}}AFX_DATA_MAP

	int ByteNumber;
	for (ByteNumber=0; ByteNumber < NmbSymb; ByteNumber++)
	{
		InputSmbl = InputReport[ByteNumber];
		//Display it.
		CString	strByteRead;
		//Convert the value to a 2-character Cstring.
		strByteRead.Format("%02X", InputSmbl);
		strByteRead = strByteRead.Right(2); 
		//Display the value in the Bytes Received List Box.
		m_InList.InsertString(-1, strByteRead);
	}
}


BEGIN_MESSAGE_MAP(CDlgInReport, CDialog)
	//{{AFX_MSG_MAP(CDlgInReport)
	ON_LBN_SELCHANGE(IDC_LIST1, OnSelchangeList1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgInReport message handlers

void CDlgInReport::OnSelchangeList1() 
{
	// TODO: Add your control notification handler code here
	
}
